"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateInitOptions = exports.getTempFolder = exports.getProgramMock = exports.isUUID = void 0;
var os_1 = __importDefault(require("os"));
var path_1 = __importDefault(require("path"));
var fs_1 = __importDefault(require("fs"));
var isUUID = function (str) {
    return /^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/.test(str);
};
exports.isUUID = isUUID;
var getProgramMock = function () {
    var programMock = {
        opts: function () {
            return {
                verbose: 0,
            };
        },
        error: function (str) {
            throw new Error(str);
        },
    };
    return programMock;
};
exports.getProgramMock = getProgramMock;
var getTempFolder = function () {
    var tmp = os_1.default.tmpdir();
    var folderName = 'mamoru-cli-test-' + Math.random().toString(5).substring(2, 15);
    var folderPath = path_1.default.join(tmp, folderName);
    fs_1.default.mkdirSync(folderPath);
    return folderPath;
};
exports.getTempFolder = getTempFolder;
var generateInitOptions = function (obj) {
    if (obj === void 0) { obj = {}; }
    return __assign({ type: 'sql', name: 'TEST name', tags: 'test,cli', description: 'TEST_DESCRIPTION', chain: 'sui', logo: 'https://mamoru.ai/default-mamoru-logo', subscribable: false }, obj);
};
exports.generateInitOptions = generateInitOptions;
//# sourceMappingURL=test-utils.js.map